/**
 * @license
 * Copyright Google Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
import { ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare const NUMBER_VALUE_ACCESSOR: any;
export declare class NumberMaxLengthDirective implements ControlValueAccessor {
    private _elementRef;
    onChange: (_: any) => void;
    onTouched: () => void;
    constructor(_elementRef: ElementRef);
    writeValue(value: number): void;
    registerOnChange(fn: (any: any) => void): void;
    registerOnTouched(fn: () => void): void;
    parseValue(value: any): any;
    private get maxLength();
}
